%define cdox_version 1.0.3
Summary: CDox - CD Documents
Summary(de): CDox - CD Dokumente
Name: cdox
Version: %{cdox_version}
Release: 1
Copyright: Apache License
Group: Applications/Editors
Source: ftp://sammael.tabu.stw-bonn.de/pub/cdox/cdox_src%{cdox_version}.tgz
Distribution: none
BuildArchitectures: noarch
Vendor: CDox Ltd.
Packager: Andreas Schmitz <cdox@gmx.net>

%description
CDox is a program to create and edit CD Documents, currently at most such things
as front sides, booklets and back sides for jewel cases. One can do various
things to images, like brightness correction etc. Text and image elements can be
modified in several ways (flipping, rotating etc.).

The program is written in Java and requires a 1.4 compatible JRE or JDK
installed. Please make sure that the JAVA_HOME environment variable is set up
correctly in your system, if you get problems.

%description -l de
CDox ist ein Programm, mit dem man CD Dokumente editieren kann. Zur Zeit sind
das Cover/Booklets fr Jewel-Cases. Man kann diverse Dinge wie
Helligkeitskorrektur usw. mit Bildern machen. Text- und Bildelemente knnen
gedreht/gespiegelt usw. werden.

Das Programm ist in Java geschrieben und braucht ein 1.4-kompatibles JRE
bzw. JDK. Bitte stellen Sie sicher, dass die JAVA_HOME-Umgebungsvariable korrekt
im System gesetzt ist, falls es nicht luft.

%prep
%setup -n cdox

%build
. misc/chkj2.sh
ant jar

%install
mkdirhier /usr/share/cdox/plugins/
cp plugins/Mp3*class /usr/share/cdox/plugins/
cp classes/cdox.jar /usr/share/cdox/
cp lib/*jar /usr/share/cdox/
cp misc/linux.sh /usr/bin/cdox
chmod 755 /usr/bin/cdox
mkdirhier /usr/share/doc/cdox/
cp misc/README.txt misc/changelog.txt misc/releasenotes.txt /usr/share/doc/cdox/

%clean
rm /usr/share/cdox/*.jar /usr/share/cdox/plugins/*class
rm /usr/bin/cdox
rmdir /usr/share/cdox/plugins/ /usr/share/cdox/
rm -rf $RPM_BUILD_DIR/cdox/
rm -rf /usr/share/doc/cdox/

%files
/usr/bin/cdox
/usr/share/cdox/cdox.jar
/usr/share/doc/cdox/README.txt
/usr/share/doc/cdox/changelog.txt
/usr/share/doc/cdox/releasenotes.txt
