/*
 * $Id: Mp3Source.java,v 1.1 2003/04/14 20:03:52 stranger Exp $
 * Copyright (c) 2003-2003 business solutions AG, Hauerstrasse 12,
 * D-66299 Friedrichsthal, Germany. All Rights Reserved.
 *
 * This software is the confidential and proprietary information
 * of infor business solutions AG ("Confidential Information").  
 * You shall not disclose such Confidential Information and shall 
 * use it only in accordance with the terms of the license 
 * agreement you entered into with infor AG.
 */

import java.awt.Frame;

import cdox.data.Data;
import cdox.data.DataSource;


/**
 * Mp3Source
 *
 * @author jung
 * @version $Revision: 1.1 $
 * @since 22.03.2003
 */
public class Mp3Source implements DataSource {

   protected Mp3Data data;

   /**
    * 
    */
   public Mp3Source() {
      super();
   }

   /* (non-Javadoc)
    * @see cdox.data.DataSource#getDescription()
    */
   public String getDescription() {
      return "MP3 CD";
   }

   /* (non-Javadoc)
    * @see cdox.data.DataSource#getDataType()
    */
   public Class getDataType() {
      return Mp3Data.class;
   }


   /* (non-Javadoc)
    * @see cdox.data.DataSource#showConfigurationDialog(java.awt.Frame)
    */
   public void showConfigurationDialog(Frame parent) {
      data = new Mp3FileSourceDialogue(parent).showAndGetMp3Data();
      data.consist();
   }

   /* (non-Javadoc)
    * @see cdox.data.DataSource#hasConfigurationDialog()
    */
   public boolean hasConfigurationDialog() {
      return true;
   }

   /* (non-Javadoc)
    * @see cdox.data.DataSource#retrieveData()
    */
   public Data retrieveData() {
      return data;
   }

}
