package cdox.util.doc;

/**
 * This class represents a topic node.
 * @author <a href="mailto:cdox@gmx.net">Rutger Bezema, Andreas Schmitz</a>
 * @version May 22nd 2002
 */

public final class Topic{

    private String title,id;

    /**
     * This creates a new topic node.
     *@param id the id.
     *@param title the title.
     */
    public Topic( String id, String title ){
	this.id=id;
	this.title=title;
    }

    /**
     * Returns the id.
     *@return the id.
     */
    public String getId(){
	return id;
    }

    public String toString(){
	return title;
    }

}
